package com.example.switchyard.cepnull;

import javax.xml.namespace.QName;

import org.jboss.soa.qa.drools.cep.Tick;
import org.switchyard.remote.RemoteInvoker;
import org.switchyard.remote.RemoteMessage;
import org.switchyard.remote.http.HttpInvoker;

public class RemoteCEPTest {
    
    private static final QName SERVICE = new QName(
            "urn:switchyard-soa:bean_simple_service:0.1.0",
            "CEPService");
    private static final String URL = "http://localhost:8080/switchyard-remote";

    public static void main(final String[] ignored) throws Exception {
        // Create a new remote client invoker
        RemoteInvoker invoker = new HttpInvoker(URL);

        Tick t1 = new Tick().setEventName("heartBeat OK tick 1");
        Tick t2 = new Tick().setEventName("heartBeat OK tick 2");
        Tick t3 = new Tick().setEventName("heartBeat NO tick 3");

        // Create the request message
        RemoteMessage message = new RemoteMessage();
        message.setService(SERVICE).setOperation("heartBeat").setContent(t1);

        // Invoke the service
        RemoteMessage reply = invoker.invoke(message);
        if (reply != null && reply.isFault()) {
            System.err.println("Oops ... something bad happened.  "
                    + reply.getContent());
        }
    }
}
